-- Main game loop
function Main()

	DisplaySplash("splash/playfirst_animated_logo.swf", "splash/playfirst_logo", 4000);
	DisplaySplash("", "splash/funlime_log", 4000);
	DisplaySplash("splash/distributor_logo.swf", "splash/distributor_logo",4000); 

	-- Push the game selection screen
	while true do
		DoMainWindow("scripts/appwindow.lua");
		-- Will only exit and loop if there are NO windows pushed on the stack
	end
end

-- Return a function to be executed in a thread
return Main